### Function Macro

# GObject TYPE_CHECK_CLASS_TYPE

#### Declaration

    #define G_TYPE_CHECK_CLASS_TYPE (
      g_class,
      g_type
    )

#### Description

Checks if `g_class` is a class structure of the type identified by `g_type`. If `g_class` is `NULL`, `FALSE` will be returned.

This macro should only be used in type implementations.

This function is not directly available to language bindings.

#### Parameters

`g_class`

  Type: `-`

  Location of a `GTypeClass` structure.

`g_type`

  Type: `-`

  The type to be checked.